/*
 * RenjuBoard.java
 * The loader class
 *
 * (c) Arcanum
 * http://faqsite.narod.ru
 */

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import java.io.*;

public class RenjuBoard extends MIDlet {
    static final String STR_MENU = "Menu";
    
    private Display display;
// the global variable. common used for switching display and exit
    static MIDlet midlet;
    
    public RenjuBoard() {

    }

    public void startApp() {
        midlet  = this;
        display = Display.getDisplay(this);
        display.setCurrent(new SplashCanvas());
    }
    
    public void pauseApp() {
    }
    
    public void destroyApp(boolean unconditional) {
        display.setCurrent(null);
        notifyDestroyed();
    }
    
    public static void exitMidlet() {
        midlet.notifyDestroyed();        
    }
//Shows an image, waits for key pressed    
    class SplashCanvas extends Canvas {
        Image img;
        SplashCanvas()
        {
            try {
                img = Image.createImage("res/splash.png");
            }
            catch(IOException e) {
            }
        }
        protected void paint(Graphics g) {
            if(img != null) {
                g.drawImage(img, 0, 0, Graphics.LEFT | Graphics.TOP);
            }
            else {
                g.drawString("Renju Board", getWidth() / 2, getHeight() / 2, Graphics.HCENTER | Graphics.BASELINE);
            }
        }
        protected void keyPressed(int keyCode) {
         // Switch to main menu
            MenuList menu = new MenuList(STR_MENU);
            display.setCurrent(menu);
        }
    }
} 